import {createElectionForm} from "./ElectionFormComponent";

export default {
  title: 'Components/Election Form',
  argTypes: {}
}

const Template = ({...args}) => {
  return createElectionForm({...args});
};

export const ElectionForm = Template.bind({});
ElectionForm.args = {};

export const ElectionFormColorChange = Template.bind({});
ElectionFormColorChange.args = {
  backgroundColor: '#003366',
};

export const ElectionFormNoElectionArea = Template.bind({});
ElectionFormNoElectionArea.args = {
  electionArea: false,
};

export const ElectionFormWording = Template.bind({});
ElectionFormWording.args = {
  placeholderElectionGroup: 'Gruppe an Personen',
  placeholderElectionArea: 'Wählbare Bezirke',
  placeholderElectionCompany: 'Suche nach Firmen',
};

